Inicia uma migração de schema
curl --request POST \
--url https://services.pref.rio/app-busca-search/api/v1/admin/migration/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema_version": "<string>",
"async": true,
"dry_run": true
}
'import requests
url = "https://services.pref.rio/app-busca-search/api/v1/admin/migration/start"
payload = {
"schema_version": "<string>",
"async": True,
"dry_run": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schema_version: '<string>', async: true, dry_run: true})
};
fetch('https://services.pref.rio/app-busca-search/api/v1/admin/migration/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backup_collection": "<string>",
"completed_at": 123,
"error_message": "<string>",
"is_locked": true,
"migrated_documents": 123,
"progress": 123,
"schema_version": "<string>",
"source_collection": "<string>",
"started_at": 123,
"started_by": "<string>",
"target_collection": "<string>",
"total_documents": 123
}{}{}{}{}migration
Inicia uma migração de schema
Inicia o processo de migração para uma nova versão de schema. O sistema será bloqueado para operações CUD durante a migração.
POST
/
api
/
v1
/
admin
/
migration
/
start
Inicia uma migração de schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Dados da migração
Response
OK
Available options:
idle, in_progress, completed, failed, rollback ⌘I
